[project]
name = "e-nms-qa-automation"
version = "0.1.0"

[project.optional-dependencies]
docs = [
    "sphinx>=8.2.3",
    "sphinx-rtd-theme>=2.0.0",
    "myst-parser>=2.0.0"
]

[tool.pylint.MASTER]
extension-pkg-allow-list = []

[tool.pylint.MESSAGES_CONTROL]
disable = [
    # W0106: Expression "%s" is assigned to nothing (pointless-statement)
    # Отключен, так как в тестах могут использоваться выражения для побочных эффектов
    "W0106",

    # W0246: Invalid variable name (invalid-name)
    # Отключен, чтобы разрешить имена переменных в стиле Playwright (page, locator и т.д.)
    "W0246",

    # W1203: Use % formatting in logging functions and pass the % parameters as arguments (logging-fstring-interpolation)
    # Отключен, так как в проекте используется f-strings для логирования
    "W1203",

    # E0401: Unable to import '%s' (import-error)
    # Отключен для модулей, которые могут отсутствовать в среде выполнения или импортируются динамически
    "E0401",
]

[tool.pylint.FORMAT]
max-line-length = 120
